Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 20 Jul 2021 05:49:49 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi. About my last order, I paid twice to posta plus by mistake. One by online transaction. Another to delivery person. I contacted posta plus several time and everytime they delay. Its been 3 months and i didn't get my money back. That is the reason I am very reluctant to order from centrepoint since then. I won't make any order until I get my money back. I am tired of posta plus incompetence and I hope you will sort it out. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2867142